package com.kingdee.eas.custom.esign;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.custom.esign.app.*;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class FieldMapping extends CoreBillBase implements IFieldMapping
{
    public FieldMapping()
    {
        super();
        registerInterface(IFieldMapping.class, this);
    }
    public FieldMapping(Context ctx)
    {
        super(ctx);
        registerInterface(IFieldMapping.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("E3ED9C05");
    }
    private FieldMappingController getController() throws BOSException
    {
        return (FieldMappingController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public FieldMappingCollection getFieldMappingCollection() throws BOSException
    {
        try {
            return getController().getFieldMappingCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public FieldMappingCollection getFieldMappingCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getFieldMappingCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public FieldMappingCollection getFieldMappingCollection(String oql) throws BOSException
    {
        try {
            return getController().getFieldMappingCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public FieldMappingInfo getFieldMappingInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getFieldMappingInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public FieldMappingInfo getFieldMappingInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getFieldMappingInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public FieldMappingInfo getFieldMappingInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getFieldMappingInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}